.\" $Id: ldbrowse.man,v 1.2 2003/09/23 19:01:47 syl Exp $
.\" 
.\" Copyright (C) 2003 Syllabub
.\" Maroontress Fast Software.
.TH LDBROWSE 1 "Maroontress Fast Software" "Leak Detector"
.SH "NAME"
\fBldbrowse\fP \- browses the log file of libld(3)
.SH "SYNOPSIS"
\fBldbrowse\fP \fIprogram\fP [\fIfile\fP] 
.SH "DESCRIPTION"
The \fBldbrowse\fP program reads \fIfile\fP and writes it in the
human-readable format to the standard output.  The \fIfile\fP should
be the log file of libld(3).  And the \fIprogram\fP should be the
executable file that made the \fIfile\fP.  If \fIfile\fP is absent,
\fBldbrowse\fP reads from the standard input.
.LP
The \fIprogram\fP should be compiled with \fI-ggdb\fP, or
\fBldbrowse\fP will print no symbolic information.
.SH "EXAMPLES"
The following entry shows a memory allocation. The first line shows
that the allocated space is 10 bytes of memory that starts from the
address 0x804a0f0.  The next 6 lines (until an empty line) shows the
stack trace when the allocation occurred.  Each line is composed in
the format \fIsource file\fP:\fIline number\fP: in function
\'\fIfunction\fP\', but the \fIline number\fP shows the line that
corresponds to an address where the function returns.
.LP
.nf
.RS 2
allocate: 0x804a0f0 (10 bytes)
/foo/leakdetector/libld/ld.c:126: in function 'malloc'
/foo/leakdetector/test/test.c:18: in function 'foo_c'
/foo/leakdetector/test/test.c:26: in function 'foo_b'
/foo/leakdetector/test/test.c:33: in function 'foo_a'
/foo/leakdetector/test/test.c:43: in function 'main'
(null):0: in function '_start'
.RS -2
.fi
.LP
The following entry shows the allocated memory to be made available
for future allocations.  The line shows that the allocated space that
starts from the 0x804a0d0 is released.
.LP
.nf
.RS 2
free: 0x804a0d0
.RS -2
.fi
.SH "SEE ALSO"
ldcollect(1), libld(3)
