.\" $Id: libld.man,v 1.2 2003/09/23 19:01:47 syl Exp $
.\" 
.\" Copyright (C) 2003 Syllabub
.\" Maroontress Fast Software.
.TH LIBLD 3 "Maroontress Fast Software" "Leak Detector"
.SH "NAME"
libld, ld_open, ld_close \- records calls to memory allocation
functions
.SH "SYNTAX"
#include <ld.h>
.LP
int ld_open(\fIpath\fP)
.br
	const char *\fIpath\fP;
.LP
int ld_close(void)
.SH "ARGUMENTS"
.IP \fIpath\fP 1i
Specifies the path of a log file to be recorded.
.SH "DESCRIPTION"
The \fIld_open\fP function opens a log file for writing, whose name is
the string pointed to by \fIpath\fP, and starts to record calls to
memory allocation functions into the log file.  If the file already
exists, \fIld_open\fP truncates it to zero length, and overwrites.
Otherwise, \fIld_open\fP creates the file.
.LP
The \fIld_close\fP function closes a log file, and stops recording
calls to memory allocation functions.
.LP
If successful, \fIld_open\fP and \fIld_close\fP return a non-negative
integer.  They return -1 on failure.
.LP
The \fIlibld\fP library uses dlsym(3).  In some platform, the library
need to be linked using the \fI-ldl\fP option to ld(1).
.SH "SEE ALSO"
ldbrowse(1), ldcollect(1), dlsym(3)
